// Code generated by protoc-gen-go. DO NOT EDIT.
// source: profession.proto

package position_service

import (
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type Profession struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Name                 string   `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Profession) Reset()         { *m = Profession{} }
func (m *Profession) String() string { return proto.CompactTextString(m) }
func (*Profession) ProtoMessage()    {}
func (*Profession) Descriptor() ([]byte, []int) {
	return fileDescriptor_a8218efded744475, []int{0}
}

func (m *Profession) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Profession.Unmarshal(m, b)
}
func (m *Profession) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Profession.Marshal(b, m, deterministic)
}
func (m *Profession) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Profession.Merge(m, src)
}
func (m *Profession) XXX_Size() int {
	return xxx_messageInfo_Profession.Size(m)
}
func (m *Profession) XXX_DiscardUnknown() {
	xxx_messageInfo_Profession.DiscardUnknown(m)
}

var xxx_messageInfo_Profession proto.InternalMessageInfo

func (m *Profession) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *Profession) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

type ProfessionId struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ProfessionId) Reset()         { *m = ProfessionId{} }
func (m *ProfessionId) String() string { return proto.CompactTextString(m) }
func (*ProfessionId) ProtoMessage()    {}
func (*ProfessionId) Descriptor() ([]byte, []int) {
	return fileDescriptor_a8218efded744475, []int{1}
}

func (m *ProfessionId) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ProfessionId.Unmarshal(m, b)
}
func (m *ProfessionId) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ProfessionId.Marshal(b, m, deterministic)
}
func (m *ProfessionId) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ProfessionId.Merge(m, src)
}
func (m *ProfessionId) XXX_Size() int {
	return xxx_messageInfo_ProfessionId.Size(m)
}
func (m *ProfessionId) XXX_DiscardUnknown() {
	xxx_messageInfo_ProfessionId.DiscardUnknown(m)
}

var xxx_messageInfo_ProfessionId proto.InternalMessageInfo

func (m *ProfessionId) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

type Status struct {
	Status               string   `protobuf:"bytes,1,opt,name=status,proto3" json:"status,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Status) Reset()         { *m = Status{} }
func (m *Status) String() string { return proto.CompactTextString(m) }
func (*Status) ProtoMessage()    {}
func (*Status) Descriptor() ([]byte, []int) {
	return fileDescriptor_a8218efded744475, []int{2}
}

func (m *Status) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Status.Unmarshal(m, b)
}
func (m *Status) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Status.Marshal(b, m, deterministic)
}
func (m *Status) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Status.Merge(m, src)
}
func (m *Status) XXX_Size() int {
	return xxx_messageInfo_Status.Size(m)
}
func (m *Status) XXX_DiscardUnknown() {
	xxx_messageInfo_Status.DiscardUnknown(m)
}

var xxx_messageInfo_Status proto.InternalMessageInfo

func (m *Status) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

type GetAllProfessionRequest struct {
	Offset               int64    `protobuf:"varint,1,opt,name=offset,proto3" json:"offset,omitempty"`
	Limit                int64    `protobuf:"varint,2,opt,name=limit,proto3" json:"limit,omitempty"`
	Name                 string   `protobuf:"bytes,3,opt,name=name,proto3" json:"name,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetAllProfessionRequest) Reset()         { *m = GetAllProfessionRequest{} }
func (m *GetAllProfessionRequest) String() string { return proto.CompactTextString(m) }
func (*GetAllProfessionRequest) ProtoMessage()    {}
func (*GetAllProfessionRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_a8218efded744475, []int{3}
}

func (m *GetAllProfessionRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetAllProfessionRequest.Unmarshal(m, b)
}
func (m *GetAllProfessionRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetAllProfessionRequest.Marshal(b, m, deterministic)
}
func (m *GetAllProfessionRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetAllProfessionRequest.Merge(m, src)
}
func (m *GetAllProfessionRequest) XXX_Size() int {
	return xxx_messageInfo_GetAllProfessionRequest.Size(m)
}
func (m *GetAllProfessionRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetAllProfessionRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetAllProfessionRequest proto.InternalMessageInfo

func (m *GetAllProfessionRequest) GetOffset() int64 {
	if m != nil {
		return m.Offset
	}
	return 0
}

func (m *GetAllProfessionRequest) GetLimit() int64 {
	if m != nil {
		return m.Limit
	}
	return 0
}

func (m *GetAllProfessionRequest) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

type GetAllProfessionResponse struct {
	Professions          []*Profession `protobuf:"bytes,1,rep,name=professions,proto3" json:"professions,omitempty"`
	Count                int32         `protobuf:"varint,2,opt,name=count,proto3" json:"count,omitempty"`
	XXX_NoUnkeyedLiteral struct{}      `json:"-"`
	XXX_unrecognized     []byte        `json:"-"`
	XXX_sizecache        int32         `json:"-"`
}

func (m *GetAllProfessionResponse) Reset()         { *m = GetAllProfessionResponse{} }
func (m *GetAllProfessionResponse) String() string { return proto.CompactTextString(m) }
func (*GetAllProfessionResponse) ProtoMessage()    {}
func (*GetAllProfessionResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_a8218efded744475, []int{4}
}

func (m *GetAllProfessionResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetAllProfessionResponse.Unmarshal(m, b)
}
func (m *GetAllProfessionResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetAllProfessionResponse.Marshal(b, m, deterministic)
}
func (m *GetAllProfessionResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetAllProfessionResponse.Merge(m, src)
}
func (m *GetAllProfessionResponse) XXX_Size() int {
	return xxx_messageInfo_GetAllProfessionResponse.Size(m)
}
func (m *GetAllProfessionResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_GetAllProfessionResponse.DiscardUnknown(m)
}

var xxx_messageInfo_GetAllProfessionResponse proto.InternalMessageInfo

func (m *GetAllProfessionResponse) GetProfessions() []*Profession {
	if m != nil {
		return m.Professions
	}
	return nil
}

func (m *GetAllProfessionResponse) GetCount() int32 {
	if m != nil {
		return m.Count
	}
	return 0
}

func init() {
	proto.RegisterType((*Profession)(nil), "genproto.Profession")
	proto.RegisterType((*ProfessionId)(nil), "genproto.ProfessionId")
	proto.RegisterType((*Status)(nil), "genproto.Status")
	proto.RegisterType((*GetAllProfessionRequest)(nil), "genproto.GetAllProfessionRequest")
	proto.RegisterType((*GetAllProfessionResponse)(nil), "genproto.GetAllProfessionResponse")
}

func init() { proto.RegisterFile("profession.proto", fileDescriptor_a8218efded744475) }

var fileDescriptor_a8218efded744475 = []byte{
	// 237 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x64, 0x90, 0xc1, 0x4b, 0xc3, 0x50,
	0x0c, 0xc6, 0x59, 0xeb, 0x8a, 0x66, 0x22, 0xf2, 0x18, 0x5a, 0x11, 0x64, 0xf4, 0xb4, 0x53, 0x15,
	0x05, 0xef, 0x7a, 0x11, 0x6f, 0xf2, 0xbc, 0xe9, 0x41, 0xe6, 0x9a, 0x6a, 0xa0, 0x7b, 0x79, 0x36,
	0xa9, 0x7f, 0xbf, 0xf4, 0xb5, 0x5b, 0x8b, 0xbb, 0x7d, 0x5f, 0x92, 0x5f, 0xf2, 0x11, 0x38, 0xf5,
	0x35, 0x97, 0x28, 0x42, 0xec, 0x72, 0x5f, 0xb3, 0xb2, 0x39, 0xfc, 0x42, 0x17, 0x54, 0x76, 0x03,
	0xf0, 0xb2, 0xeb, 0x9a, 0x13, 0x88, 0xa8, 0x48, 0x27, 0x8b, 0xc9, 0xf2, 0xc8, 0x46, 0x54, 0x18,
	0x03, 0x07, 0x6e, 0xb5, 0xc1, 0x34, 0x0a, 0x95, 0xa0, 0xb3, 0x2b, 0x38, 0x1e, 0x88, 0xe7, 0xe2,
	0x3f, 0x93, 0x2d, 0x20, 0x79, 0xd5, 0x95, 0x36, 0x62, 0xce, 0x20, 0x91, 0xa0, 0xfa, 0x6e, 0xef,
	0xb2, 0x77, 0x38, 0x7f, 0x42, 0x7d, 0xa8, 0xaa, 0x61, 0x8f, 0xc5, 0x9f, 0x06, 0x45, 0x5b, 0x84,
	0xcb, 0x52, 0x50, 0x03, 0x12, 0xdb, 0xde, 0x99, 0x39, 0x4c, 0x2b, 0xda, 0x90, 0x86, 0x24, 0xb1,
	0xed, 0xcc, 0x2e, 0x5e, 0x3c, 0x8a, 0xf7, 0x0d, 0xe9, 0xfe, 0x72, 0xf1, 0xec, 0x04, 0xcd, 0x3d,
	0xcc, 0x86, 0x57, 0xb4, 0xa9, 0xe2, 0xe5, 0xec, 0x76, 0x9e, 0x6f, 0x9f, 0x91, 0x8f, 0x90, 0xf1,
	0x60, 0x7b, 0x7d, 0xcd, 0x8d, 0xeb, 0xae, 0x4f, 0x6d, 0x67, 0x1e, 0x2f, 0xdf, 0x2e, 0xb6, 0xe4,
	0xb5, 0x67, 0x21, 0x25, 0x76, 0x1f, 0x82, 0xf5, 0x2f, 0xad, 0xf1, 0x33, 0x09, 0xf5, 0xbb, 0xbf,
	0x00, 0x00, 0x00, 0xff, 0xff, 0x54, 0xa1, 0x08, 0x1b, 0x7c, 0x01, 0x00, 0x00,
}
